## org.apache.catalina.deploy
Class ContextEjb

    java.lang.Object
      |
      +--org.apache.catalina.deploy.ContextEjb

public final class ContextEjb
extends java.lang.Object

Representation of an EJB resource reference for a web application, as represented in a `<ejb-ref>` element in the deployment descriptor.

Version:
  $Revision: 1.5 $ $Date: 2001/07/22 20:25:10 $
Author:
  Craig R. McClanahan

Constructor Summary
`ContextEjb()`

Method Summary
`java.lang.String` `getDescription()`
`java.lang.String` `getHome()`
`java.lang.String` `getLink()`
`java.lang.String` `getName()`
`java.lang.String` `getRemote()`
`java.lang.String` `getType()`
`void` `setDescription(java.lang.String description)`
`void` `setHome(java.lang.String home)`
`void` `setLink(java.lang.String link)`
`void` `setName(java.lang.String name)`
`void` `setRemote(java.lang.String remote)`
`void` `setType(java.lang.String type)`
`java.lang.String` `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextEjb

    public ContextEjb()

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getHome

    public java.lang.String getHome()

### setHome

    public void setHome(java.lang.String home)

### getLink

    public java.lang.String getLink()

### setLink

    public void setLink(java.lang.String link)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getRemote

    public java.lang.String getRemote()

### setRemote

    public void setRemote(java.lang.String remote)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.